import React from 'react';

import articles from './articles.csv';

const Icon = ({it, environment, social}) => {
  return (
    <React.Fragment>
      {it === 1 && <span className={'icon it'}>IT</span>}
      {environment === 1 && <span className={'icon environment'}>環境</span>}
      {social === 1 && <span className={'icon social'}>社会・科学</span>}
    </React.Fragment>
  );
};

const App = () => {
  return (
    <div>
      <h2>コラム一覧</h2>
      <table className={'table'}>
        <tbody>
          {articles.map(article => {
            return (
              <tr key={article.date + article.title}>
                <td className={'date'}>
                  {article.date}
                </td>
                <td className={'title'}>
                  <div>
                    <Icon it={article.it} environment={article.environment} social={article.social} />
                  </div>
                  <div>
                    <div>
                      <a href={`https://www.mizuho-ir.co.jp${article.path}`}>{article.title}</a>
                    </div>
                    <div>
                      {article.title2}
                    </div>
                  </div>
                </td>
              </tr>
            );
          })}
        </tbody>
      </table>
    </div>
  );
};

export default App;
